MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029911Open CASCADE[OCCT] OCCT:Foundation Classespublic2018-06-29 15:022018-07-30 10:18
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029911: Porting to Debian80-64 : Regressions in Foundation Classes
DescriptionSource: http://jenkins-test-12.nnov.opencascade.com/view/JT-12/ [^] [^]

Test cases:
perf fclasses handle
perf ncollection

Station : debian8-03
Steps To Reproducetest perf fclasses handle
test perf ncollection A1
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029907assignedbugmaster Implementation of jenkins-test-12 with Debian80 64 bit 

-  Notes
(0077971)
git (administrator)
2018-07-24 17:46

Branch CR29911 has been created by abv.

SHA-1: e4caf2d96927d1be4a08cf5a6117b40a4584fc12


Detailed log of new commits:

Author: abv
Date: Tue Jul 24 17:45:15 2018 +0300

    0029911: Porting to Debian80-64 : Regressions in Foundation Classes
    
    Test for handles is updated according to behavior expected from modern compilers.
    
    Performance test perf ncollection A1 is updated according to measurements made on Debian 8 (valid range extended).
(0077986)
git (administrator)
2018-07-25 09:40

Branch CR29911 has been updated by abv.

SHA-1: d8a90135cf7ce28bce350cd530f791d90eb61792


Detailed log of new commits:

Author: abv
Date: Wed Jul 25 09:39:17 2018 +0300

    Adaptations for GCC 4.7 and CLang

(0078014)
git (administrator)
2018-07-25 20:51

Branch CR29911 has been updated by abv.

SHA-1: 5971637083d9d15eeea3130a5db0862cc87f0eac


Detailed log of new commits:

Author: abv
Date: Wed Jul 25 20:50:09 2018 +0300

    checking macro corrected

(0078056)
git (administrator)
2018-07-26 22:47

Branch CR29911 has been updated by abv.

SHA-1: d7266744999ab78eb2f7f80277bc3a1486d21db2


Detailed log of new commits:

Author: abv
Date: Thu Jul 26 22:45:34 2018 +0300

    # adaptation for debian 7

(0078057)
git (administrator)
2018-07-26 23:08

Branch CR29911 has been updated forcibly by abv.

SHA-1: 9307f285e3f837ef8267e66a108f8b20464976cb
(0078061)
abv (manager)
2018-07-27 07:19

Fix is pushed to CR29911; test results are in Jenkins job CR29911-master-abv. Please review
(0078081)
bugmaster (administrator)
2018-07-27 12:22

Combination -
OCCT branch : CR29911 SHA - 9307f285e3f837ef8267e66a108f8b20464976cb
Products branch : master SHA - 5bf9109bd22e12bf80de2694686cfbf63bba4b6f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 16930.18999999999 / 17220.20999999982 [-1.68%]
Products
Total CPU difference: 7419.440000000017 / 7395.280000000046 [+0.33%]
Windows-64-VC10:
OCCT
Total CPU difference: 16937.465372798655 / 17014.420666098493 [-0.45%]
Products
Total CPU difference: 8204.201790699904 / 8218.070279599868 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078099)
bugmaster (administrator)
2018-07-27 15:23

Tested on jenkins-test-12
On Debian8 64 bit
(0078131)
git (administrator)
2018-07-28 12:38

Branch CR29911 has been deleted by inv.

SHA-1: 9307f285e3f837ef8267e66a108f8b20464976cb

- Related Changesets
occt: master 7686e915
Timestamp: 2018-07-24 14:45:15
Author: abv
Committer: bugmaster
Details ] Diff ]
0029911: Porting to Debian80-64 : Regressions in Foundation Classes

Test for handles is updated according to behavior expected from modern compilers.

Performance test perf ncollection A1 is updated (valid range extended) according to measurements made on Debian 8 with GCC 4.9 and on Ubuntu 16.04 with CLang 3.8 and 6.0 and GCC 4.7, 4.9, and 5.0.
mod - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - tests/perf/fclasses/handle Diff ] File ]
mod - tests/perf/ncollection/A1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-29 15:02 bugmaster New Issue
2018-06-29 15:02 bugmaster Assigned To => abv
2018-06-29 15:02 bugmaster Status new => assigned
2018-06-29 15:03 bugmaster Summary Regressions in Modeling Algorithms on Debian 80 64 bit => Regressions in Foundation Classes on Debian 80 64 bit
2018-06-29 15:03 bugmaster Relationship added child of 0029907
2018-07-05 12:32 bugmaster Summary Regressions in Foundation Classes on Debian 80 64 bit => Porting to Debian80-64 : Regressions in Foundation Classes
2018-07-24 17:46 git Note Added: 0077971
2018-07-25 09:40 git Note Added: 0077986
2018-07-25 20:51 git Note Added: 0078014
2018-07-25 22:04 git Note Added: 0078015
2018-07-25 22:08 git Note Added: 0078016
2018-07-25 22:23 git Note Added: 0078018
2018-07-25 22:23 git Note Added: 0078019
2018-07-26 07:12 git Note Added: 0078020
2018-07-26 07:21 git Note Added: 0078022
2018-07-26 07:43 abv Note Deleted: 0078022
2018-07-26 07:43 abv Note Deleted: 0078020
2018-07-26 07:43 abv Note Deleted: 0078019
2018-07-26 07:44 abv Note Deleted: 0078018
2018-07-26 07:44 abv Note Deleted: 0078016
2018-07-26 07:45 abv Note Deleted: 0078015
2018-07-26 22:47 git Note Added: 0078056
2018-07-26 23:08 git Note Added: 0078057
2018-07-27 07:19 abv Note Added: 0078061
2018-07-27 07:19 abv Assigned To abv => kgv
2018-07-27 07:19 abv Status assigned => resolved
2018-07-27 07:19 abv Steps to Reproduce Updated View Revisions
2018-07-27 11:49 kgv Assigned To kgv => bugmaster
2018-07-27 11:49 kgv Status resolved => reviewed
2018-07-27 12:22 bugmaster Note Added: 0078081
2018-07-27 15:23 bugmaster Note Added: 0078099
2018-07-27 15:23 bugmaster Status reviewed => tested
2018-07-28 12:26 bugmaster Changeset attached => occt master 7686e915
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:38 git Note Added: 0078131
2018-07-30 10:18 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker